Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)
PUTElastic Bare Metal Management(Plus)Since 4.0.0SynchronousAuth Required

ChangeBareMetal2InstancePassword

ChangeBareMetal2InstancePassword

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the bare metal instance.

Body Fields

  • changebaremetal2instancepasswordObjectRequired

    changebaremetal2instancepassword request body object.

    • usernameStringRequired

      The username.

    • passwordStringRequired

      The password.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryBareMetal2InstanceInventoryRequired

    See inventory.

    • chassisUuidStringRequired

      The UUID of the bare metal chassis.

    • lastChassisUuidStringRequired

      The UUID of the bare metal chassis where the instance last resides.

    • gatewayUuidStringRequired

      The gateway UUID.

    • lastGatewayUuidStringRequired

      The UUID of the last gateway.

    • chassisOfferingUuidStringRequired

      The chassis offering UUID.

    • gatewayAllocatorStrategyStringRequired

      The gateway allocation policy.

    • statusStringRequired

      The connection status of the bare metal instance.

    • uuidStringRequired

      The UUID of the bare metal instance.

    • nameStringRequired

      The bare metal instance name.

    • descriptionStringRequired

      The detailed description of the bare metal instance.

    • zoneUuidStringRequired

      The zone UUID.

    • clusterUuidStringRequired

      The cluster UUID.

    • imageUuidStringRequired

      The image UUID.

    • rootVolumeUuidStringRequired

      The root volume UUID

    • platformStringRequired

      The platform type.

    • defaultL3NetworkUuidStringRequired

      The UUID of the default L3 network.

    • typeStringRequired

      The type of the bare metal instance.

    • hypervisorTypeStringRequired

      The virtualization type.

    • memorySizeLongRequired

      The memory size.

    • cpuNumIntegerRequired

      The number of CPU cores.

    • cpuSpeedLongRequired

      The processing speed of the CPU.

    • createDateTimestampRequired

      The time when the bare metal instance was created.

    • lastOpDateTimestampRequired

      The time when the bare metal instance was last modified.

    • stateStringRequired

      The state of the bare metal instance.

    • provisionNicBareMetal2InstanceProvisionNicInventoryRequired

      See provisionNic.

      • uuidStringRequired

        The UUID of the NIC that is in the deployment network.

      • networkUuidStringRequired

        The deployment network UUID.

      • macStringRequired

        The name of the NIC.

      • ipStringRequired

        The IP address of the NIC.

      • netmaskStringRequired

        The netmask of the NIC.

      • gatewayStringRequired

        The gateway IP address.

      • metadataStringRequired

        附加元数据。

      • createDateTimestampRequired

        The time when the NIC was created.

      • lastOpDateTimestampRequired

        The time when the NIC was last modified.

    • vmNicsListRequired

      See vmNics.

      • uuidStringRequired

        The UUID of the NIC of the bare metal instance.

      • vmInstanceUuidStringRequired

        The UUID of the VM instance.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • ipStringRequired

        The IP address of the NIC.

      • macStringRequired

        The MAC address of the NIC.

      • hypervisorTypeStringRequired

        The virtualization type.

      • netmaskStringRequired

        The netmask of the NIC.

      • gatewayStringRequired

        The gateway IP address.

      • metaDataStringRequired

        元数据。

      • ipVersionIntegerRequired

        The version of the IP address.

      • deviceIdIntegerRequired

        The device ID.

      • typeStringRequired

        The NIC type.

      • createDateTimestampRequired

        The time when the NIC was created.

      • lastOpDateTimestampRequired

        The time when the NIC was last modified.

      • usedIpsListRequired

        See usedIps.

        • uuidStringRequired

          The UUID of the IP address.

        • ipRangeUuidStringRequired

          The IP range UUID.

        • l3NetworkUuidStringRequired

          The L3 network UUID.

        • ipVersionIntegerRequired

          The IP version.

        • ipStringRequired

          The IP address.

        • netmaskStringRequired

          The netmask of the IP address.

        • gatewayStringRequired

          The gateway IP address.

        • usedForStringRequired

          已使用用于。

        • ipInLonglongRequired

          No description provided.

        • vmNicUuidStringRequired

          The NIC UUID.

        • createDateTimestampRequired

          The time when the IP address was created.

        • lastOpDateTimestampRequired

          The time when the IP address was last modified.

    • allVolumesListRequired

      See allVolumes.

      • uuidStringRequired

        The volume UUID.

      • nameStringRequired

        The volume name.

      • descriptionStringRequired

        The detailed description of the volume.

      • primaryStorageUuidStringRequired

        The primary storage UUID.

      • vmInstanceUuidStringRequired

        The VM instance UUID.

      • diskOfferingUuidStringRequired

        The volume offering UUID.

      • rootImageUuidStringRequired

        The root image UUID.

      • installPathStringRequired

        The installation path of the volume in the primary storage.

      • typeStringRequired

        The type of the volume.

      • formatStringRequired

        The format of the volume.

      • sizeLongRequired

        The size of the volume.

      • actualSizeLongRequired

        The actual storage space that the volume takes up.

      • deviceIdIntegerRequired

        设备ID。

      • stateStringRequired

        The state of the volume.

      • statusStringRequired

        The status of the volume.

      • createDateTimestampRequired

        The time when the volume was created.

      • lastOpDateTimestampRequired

        The time when the volume was last modified.

      • isShareableBooleanRequired

        Indicates whether the volume is shareable.

      • volumeQosStringRequired

        The QoS of the volume, for example, 1048576.

Endpoint

PUT/v1/baremetal2/bm-instances/{uuid}/action

/v1/baremetal2/bm-instances/{uuid}/action

Operation ID

ChangeBareMetal2InstancePassword

Permalink

Request Example

curl -X PUT 'http://{host}/v1/baremetal2/bm-instances/{uuid}/action' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changebaremetal2instancepassword":{"username":"<username>","password":"<password>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "chassisUuid": "1c06589d9b39475d8da1488cedad433b", "lastChassisUuid": "381c287319f040d6bfda27f2e873c495", "gatewayUuid": "ee6e344efcac481f9fb135c83868f2a0", "lastGatewayUuid": "77f3d8f675ae4fc1b52ddb35e64743ef", "chassisOfferingUuid": "0799c5e4b9db480abf0072a74af99cbc", "status": "Connected", "uuid": "f615bc219c264801ae2d183071b55b44", "name": "BM-1", "description": "This is a BareMetal2 Instance.", "zoneUuid": "f67ee2185540426495b410a3c8ea2ba9", "clusterUuid": "146f701449f8455f9d0ab375c86c1de4", "imageUuid": "9d8169d053c84ef5bee8f68225c95983", "rootVolumeUuid": "794df7c17cbf451eaa86ad3124a0f577", "platform": "Linux", "type": "baremetal2", "memorySize": 8.589934592E9, "cpuNum": 8.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Running" } }

Change History

This API has no change history records yet.

View all change history